<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Producto extends Model
{
    protected $table = 'productos';

    public function scopeProductos(){
    	$response["productos"] = DB::table("productos")
    	->join("specs","productos.id","=","specs.id_producto")
    	->join("categorias","productos.id_categoria","=","categorias.id")
    	->join("tipos","productos.id_tipo","=","tipos.id")
    	->select("productos.*","specs.id as specID","specs.spec","specs.status as statusSpec","specs.url_imagen as url_imagen_spec","categorias.nombre as categoria","tipos.nombre as tipo")
        ->orderByRaw("productos.id ASC")
    	->get();
    	$response["status"] = 200;
    	return $response;
    }

    public function scopeGetProducto($id){
    	$query = DB::table("productos")
    	->join("specs","productos.id","=","specs.id_producto")
    	->join("categorias","productos.id_categoria","=","categorias.id")
    	->join("tipos","productos.id_tipo","=","tipos.id")
    	->where("productos.id",$id)
    	->select("productos.*","specs.id as specID","specs.spec","specs.status as statusSpec","specs.url_imagen as url_imagen_spec","categorias.nombre as categoria","tipos.nombre as tipo")
    	->get();
    	//$response["status"] = 200;
    	return $response;
    }
}
