<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/ajustes', function(){
	return view('ajustes');
});

Route::apiResource('categorias',"API\CategoriasController");
Route::apiResource('tipos',"API\TiposController");
Route::apiResource('productos',"API\ProductosController");
